Skip to main content
`Ctrl`+`K`

# MatDenseSetLDA

Sets the leading dimension of the array used by the `MATDENSE` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseSetLDA(Mat A, PetscInt lda)

Collective if the matrix layouts have not yet been setup

## Input Parameters

- A - a `MATDENSE` or `MATDENSECUDA` matrix

- lda - the leading dimension

## See Also

Matrices, `Mat`, `MATDENSE`, `MATDENSECUDA`, `MatDenseGetArray()`, `MatDenseRestoreArray()`, `MatDenseGetArrayRead()`, `MatDenseRestoreArrayRead()`, `MatDenseGetLDA()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Examples

src/mat/tutorials/ex2.c

## Implementations

MatDenseSetLDA_MPIDense() in src/mat/impls/dense/mpi/mpidense.c
MatDenseSetLDA_SeqDense() in src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages